package com.jeeplus.modules.sg.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;

public class JkxlData {
    private String id;
    private String wbsCode;
    private Double originalTotalCost;
    private Double zjgcFee;
    private Double originalRgCost;
    private Double originalCbrCost;
    private Double originalFbrCost;
    private Double originalZgj;
    private Double originalJxCost;
    private Double totalCost;
    private Double rgCost;
    private Double cbrCost;
    private Double fbrCost;
    private Double zgj;
    private Double jxCost;
    private Double measuresFee1;
    private Double measuresFee2;
    private Double measuresFee3;
    private Double otherCost;
    private Double fees;
    private Double tex;
    private Double totalFee;
    private Double originalRate;
    private Double bzFee;
    private Double jkFee;

    private String wbsId;
    private String projectId;
    private String describe;
    private String parentNode;
    private String mountMatter;
    private String mountServer;
    private String subjectAllocate;
    private String state;


    public String getSubjectAllocate() {
        return subjectAllocate;
    }

    public void setSubjectAllocate(String subjectAllocate) {
        this.subjectAllocate = subjectAllocate;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public Double getMeasuresFee3() {
        return measuresFee3;
    }

    public void setMeasuresFee3(Double measuresFee3) {
        this.measuresFee3 = measuresFee3;
    }


    public String getMountMatter() {
        return mountMatter;
    }

    public void setMountMatter(String mountMatter) {
        this.mountMatter = mountMatter;
    }


    public String getMountServer() {
        return mountServer;
    }

    public void setMountServer(String mountServer) {
        this.mountServer = mountServer;
    }


    public String getWbsId() {
        return wbsId;
    }

    public void setWbsId(String wbsId) {
        this.wbsId = wbsId;
    }


    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    @ExcelField(title="元素描述", align=2, sort=2)
    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }

    public String getParentNode() {
        return parentNode;
    }

    public void setParentNode(String parentNode) {
        this.parentNode = parentNode;
    }
    @ExcelField(title="WBS识别码", align=2, sort=1)
    public String getWbsCode() {
        return wbsCode;
    }

    public void setWbsCode(String wbsCode) {
        this.wbsCode = wbsCode;
    }

    @ExcelField(title="结算金额", align=2, sort=3)
    public Double getTotalFee() {
        return totalFee;
    }

    public void setTotalFee(Double totalFee) {
        this.totalFee = totalFee;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Double getOriginalTotalCost() {
        return originalTotalCost;
    }

    public void setOriginalTotalCost(Double originalTotalCost) {
        this.originalTotalCost = originalTotalCost;
    }

    public Double getZjgcFee() {
        return zjgcFee;
    }

    public void setZjgcFee(Double zjgcFee) {
        this.zjgcFee = zjgcFee;
    }

    public Double getOriginalRate() {
        return originalRate;
    }

    public void setOriginalRate(Double originalRate) {
        this.originalRate = originalRate;
    }

    public Double getOriginalRgCost() {
        return originalRgCost;
    }

    public void setOriginalRgCost(Double originalRgCost) {
        this.originalRgCost = originalRgCost;
    }

    public Double getOriginalCbrCost() {
        return originalCbrCost;
    }

    public void setOriginalCbrCost(Double originalCbrCost) {
        this.originalCbrCost = originalCbrCost;
    }

    public Double getOriginalFbrCost() {
        return originalFbrCost;
    }

    public void setOriginalFbrCost(Double originalFbrCost) {
        this.originalFbrCost = originalFbrCost;
    }

    public Double getOriginalZgj() {
        return originalZgj;
    }

    public void setOriginalZgj(Double originalZgj) {
        this.originalZgj = originalZgj;
    }

    public Double getOriginalJxCost() {
        return originalJxCost;
    }

    public void setOriginalJxCost(Double originalJxCost) {
        this.originalJxCost = originalJxCost;
    }

    public Double getTotalCost() {
        return totalCost;
    }

    public void setTotalCost(Double totalCost) {
        this.totalCost = totalCost;
    }

    public Double getRgCost() {
        return rgCost;
    }

    public void setRgCost(Double rgCost) {
        this.rgCost = rgCost;
    }

    public Double getCbrCost() {
        return cbrCost;
    }

    public void setCbrCost(Double cbrCost) {
        this.cbrCost = cbrCost;
    }

    public Double getFbrCost() {
        return fbrCost;
    }

    public void setFbrCost(Double fbrCost) {
        this.fbrCost = fbrCost;
    }

    public Double getZgj() {
        return zgj;
    }

    public void setZgj(Double zgj) {
        this.zgj = zgj;
    }

    public Double getJxCost() {
        return jxCost;
    }

    public void setJxCost(Double jxCost) {
        this.jxCost = jxCost;
    }

    public Double getMeasuresFee1() {
        return measuresFee1;
    }

    public void setMeasuresFee1(Double measuresFee1) {
        this.measuresFee1 = measuresFee1;
    }

    public Double getMeasuresFee2() {
        return measuresFee2;
    }

    public void setMeasuresFee2(Double measuresFee2) {
        this.measuresFee2 = measuresFee2;
    }

    public Double getOtherCost() {
        return otherCost;
    }

    public void setOtherCost(Double otherCost) {
        this.otherCost = otherCost;
    }

    public Double getFees() {
        return fees;
    }

    public void setFees(Double fees) {
        this.fees = fees;
    }

    public Double getTex() {
        return tex;
    }

    public void setTex(Double tex) {
        this.tex = tex;
    }

    public Double getBzFee() {
        return bzFee;
    }

    public void setBzFee(Double bzFee) {
        this.bzFee = bzFee;
    }

    public Double getJkFee() {
        return jkFee;
    }

    public void setJkFee(Double jkFee) {
        this.jkFee = jkFee;
    }
}
